# $Revision: 1.14 $, $Date: 2010/03/12 12:38:28 $
#
# Conditional build:
%bcond_with	mdns		# build with mDNSResponder support
#
%include	/usr/lib/rpm/macros.mono
#
Summary:	Mono.Zeroconf - easy to use API that covers the most common operations for mDNS
Summary(pl.UTF-8):	Mono.Zeroconf - łatwe w użyciu API pokrywające większość operacji mDNS
Name:		dotnet-mono-zeroconf
Version:	0.9.0
Release:	4
License:	MIT
Group:		Libraries
Source0:	http://banshee-project.org/files/mono-zeroconf/mono-zeroconf-%{version}.tar.bz2
# Source0-md5:	cb25d50898442a7766c324dcb52ef9bf
Patch0:		%{name}-pkgconfig.patch
URL:		http://mono-project.com/Mono.Zeroconf
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.9
BuildRequires:	avahi-compat-libdns_sd-devel
BuildRequires:	dotnet-avahi-devel >= 0.6.0
BuildRequires:	mono-csharp >= 1.1.16.1
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(monoautodeps)
Requires:	%{name}-provider = %{version}-%{release}
ExcludeArch:	i386
# can't be noarch because of pkgconfigdir (use /usr/share/pkgconfig?)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mono.Zeroconf provides an easy to use API that covers the most common
operations for mDNS.

%description -l pl.UTF-8
Mono.Zeroconf udostępnia łatwe w użyciu API pokrywające większość
popularnych operacji mDNS.

%package devel
Summary:	Development files for Mono.Zeroconf library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki Mono.Zeroconf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	monodoc >= 2.6

%description devel
Development files for Mono.Zeroconf library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki Mono.Zeroconf.

%package provider-avahi
Summary:	Avahi provider for Mono.Zeroconf
Summary(pl.UTF-8):	Łącznik Avahi dla biblioteki Mono.Zeroconf
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-provider = %{version}-%{release}

%description provider-avahi
This package provides an Avahi Zeroconf provider for Mono.Zeroconf.

%description provider-avahi -l pl.UTF-8
Ten pakiet udostępnia łącznik z Avahi dla biblioteki Mono.Zeroconf.

%package provider-mDNSResponder
Summary:	Bonjour provider for Mono.Zeroconf
Summary(pl.UTF-8):	Łącznik Bonjour dla biblioteki Mono.Zeroconf
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
%ifarch %{x8664} ia64 ppc64 s390x sparc64
Requires:	libnss_mdns-0.2.so()(64bit)
%else
Requires:	libnss_mdns-0.2.so
%endif
Provides:	%{name}-provider = %{version}-%{release}

%description provider-mDNSResponder
This package provides an mDNSResponder Zeroconf provider for
Mono.Zeroconf.

%description provider-mDNSResponder -l pl.UTF-8
Ten pakiet udostępnia łącznik z usługą Zeroconf mDNSRespondera dla
biblioteki Mono.Zeroconf.

%prep
%setup -q -n mono-zeroconf-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I .
%{__autoconf}
%{__automake}
%configure \
	--enable-avahi \
	--libdir=/%{_prefix}/lib \
	--libexecdir=%{_libdir} \
	--%{?with_mdns:en}%{!?with_mdns:dis}able-mdnsresponder

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}
mv $RPM_BUILD_ROOT{%{_prefix}/lib/pkgconfig,%{_datadir}}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/mzclient
# .mdb to -debug?
%{_prefix}/lib/mono/gac/Mono.Zeroconf
%{_prefix}/lib/mono/gac/policy.1.0.Mono.Zeroconf
%{_prefix}/lib/mono/gac/policy.2.0.Mono.Zeroconf
%{_prefix}/lib/mono/gac/policy.3.0.Mono.Zeroconf
%{_prefix}/lib/mono/gac/policy.4.0.Mono.Zeroconf
%dir %{_prefix}/lib/mono-zeroconf
%{_prefix}/lib/mono-zeroconf/MZClient.exe
# -debug?
%{_prefix}/lib/mono-zeroconf/MZClient.exe.mdb

%files devel
%defattr(644,root,root,755)
%dir %{_prefix}/lib/mono/mono-zeroconf
%{_prefix}/lib/mono/mono-zeroconf/Mono.Zeroconf.dll
%{_datadir}/pkgconfig/mono-zeroconf.pc
%{_prefix}/lib/monodoc/sources/mono-zeroconf-docs.*

%files provider-avahi
%defattr(644,root,root,755)
%{_prefix}/lib/mono-zeroconf/Mono.Zeroconf.Providers.AvahiDBus.dll
# -debug?
%{_prefix}/lib/mono-zeroconf/Mono.Zeroconf.Providers.AvahiDBus.dll.mdb

%if %{with mdns}
%files provider-mDNSResponder
%defattr(644,root,root,755)
%{_prefix}/lib/mono-zeroconf/Mono.Zeroconf.Providers.Bonjour.dll
%{_prefix}/lib/mono-zeroconf/Mono.Zeroconf.Providers.Bonjour.dll.config
# -debug?
%{_prefix}/lib/mono-zeroconf/Mono.Zeroconf.Providers.Bonjour.dll.mdb
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dotnet-mono-zeroconf.spec,v $
Revision 1.14  2010/03/12 12:38:28  megabajt
- use %{_prefix}/lib for monodoc
- release 4

Revision 1.13  2010/01/15 20:18:39  sparky
- use preferred %{!?...} instead of %{?!...}

Revision 1.12  2009/05/24 00:40:54  patrys
- use datadir for pkg-config
- rel 3

Revision 1.11  2009/05/23 21:47:00  patrys
- package it to /usr/lib (no arch-dependent files)
- makes it actually work on x86_64
- rel 2

Revision 1.10  2009/05/23 20:54:08  patrys
- 0.9.0

Revision 1.9  2008/12/23 17:10:32  megabajt
- updated to 0.8.0

Revision 1.8  2008/10/16 22:19:33  megabajt
- added -pkgconfig.patch
- release 3

Revision 1.7  2008/10/16 22:02:14  megabajt
- added mdns bcond, off by default as Th does not ship mDNSResponder
- release 2

Revision 1.6  2008/09/14 21:51:10  megabajt
- updated to 0.7.6
- license is MIT

Revision 1.5  2008/02/26 08:08:27  glen
- release 2

Revision 1.4  2008-01-12 21:17:37  qboosh
- separated -devel
- fixed build with lib64

Revision 1.3  2008-01-12 14:32:41  qboosh
- pl
- exact provider version matching (no external providers to deal with)

Revision 1.2  2008-01-10 16:23:52  patrys
- R: provider package

Revision 1.1  2008-01-10 16:22:20  patrys
- initial PLD release
- docs not packaged (don't know the proper way)
